cURL
curl "https://api.phrase.com/v2/accounts/:account_id/members" \
-u USERNAME_OR_ACCESS_TOKENphrase members list \
--account_id <account_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/members"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "acbdacbdacbdacbdacbdacbd",
"email": "foo@bar.com",
"username": "myname",
"created_at": "2020-12-07T12:56:21Z",
"last_activity_at": "2020-12-09T12:56:21Z",
"role": "Manager",
"projects": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"locales": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-Gb"
}
]
}
],
"permissions": [
{
"create_upload": true,
"review_translations": true
}
],
"default_locale_codes": [
"en",
"fi"
],
"teams": [
{
"id": "04d36d845576b9d494d05e0b70fe813c",
"name": "Team 1",
"created_at": "2020-12-07T12:56:21Z",
"updated_at": "2020-12-07T12:56:21Z"
}
],
"spaces": [
{
"id": "04d36d845576b9d494d05e0b70fe813b",
"name": "Space2",
"created_at": "2020-12-07T12:56:21Z",
"updated_at": "2020-12-07T12:56:21Z",
"projects_count": 1
}
]
}
]Members
List members
Get all users active in the account. It also lists resources like projects and locales the member has access to. In case nothing is shown the default access from the role is used. Access token scope must include team.manage.
GET
/
accounts
/
{account_id}
/
members
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/members" \
-u USERNAME_OR_ACCESS_TOKENphrase members list \
--account_id <account_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/members"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "acbdacbdacbdacbdacbdacbd",
"email": "foo@bar.com",
"username": "myname",
"created_at": "2020-12-07T12:56:21Z",
"last_activity_at": "2020-12-09T12:56:21Z",
"role": "Manager",
"projects": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"locales": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-Gb"
}
]
}
],
"permissions": [
{
"create_upload": true,
"review_translations": true
}
],
"default_locale_codes": [
"en",
"fi"
],
"teams": [
{
"id": "04d36d845576b9d494d05e0b70fe813c",
"name": "Team 1",
"created_at": "2020-12-07T12:56:21Z",
"updated_at": "2020-12-07T12:56:21Z"
}
],
"spaces": [
{
"id": "04d36d845576b9d494d05e0b70fe813b",
"name": "Space2",
"created_at": "2020-12-07T12:56:21Z",
"updated_at": "2020-12-07T12:56:21Z",
"projects_count": 1
}
]
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Account ID
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
Response
OK
Was this page helpful?
⌘I